<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <style type="text/css">
      img{
          max-widht:100%;
          widht: 100px;
          height: 100px;
          object-fit: contain;
      }


    </style>
    <title>Linguagens de Programação</title>
  </head>
  <body>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>



<!-- NAVBAR -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <a class="navbar-brand" href="#">Ínicio</a>
       <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
       </button>


  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="#">Sobre<span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Contatos</a>
      </li>


      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown"
           role="button" data-toggle="dropdown" aria-haspopup="true"
           aria-expanded="false">
            Linguagens
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="#">C#</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">C ++</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">Python</a>
          <div class="dropdown-divider"></div>
           <a class="dropdown-item" href="#">Java</a>
          <div class="dropdown-divider"></div>
           <a class="dropdown-item" href="#">JavaScipt</a>
          <div class="dropdown-divider"></div>
           <a class="dropdown-item" href="#">Ruby</a>
          <div class="dropdown-divider"></div>
           <a class="dropdown-item" href="#">Outras</a>
        </div>
      </li>
    </ul>


    <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" type="search" placeholder="Procurar" aria-label="Procurar">
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Procurar</button>
    </form>
  </div>
</nav>


    <!-- Carousel -->

    <div id="carouselSite" class="carousel slide" data-ride="coursel">


    <ol class="carousel-indicators">
    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
    </ol>


      <div class = "carousel-inner">
        <div class="carousel-item active">
          <img class="d-block img-fluid" src="https://www.youtube.com/watch?v=BmKTwlyGnvg" alt="C#">
          <div class="carousel-caption">
            <h4>Programação</h4>
            <p>Estruturada, Imperativa, Funcional, Orientada a Objetos</p>
          </div>
        </div>

        <div class="carousel-item">
          <img class="d-block img-fluid" src="test4.jpg" alt="Java">
          <div class="carousel-caption">
            <h4>Java</h4>
            <p>Orientada a Objetos, Imperativa, Funcional, Estruturada</p>
          </div>
        </div>

        <div class="carousel-item">
          <img class="d-block img-fluid" src="teste.jpg" alt="Python">
          <div class="carousel-caption">
            <h4>Python</h4>
            <p>Orientada a Objetos, Funcional, Imperativa </p>
          </div>
        </div>

      </div>

    </div>

    <!-- MEDIA OBJECT -->
    <ul class="list-unstyled">
      <h1 class="text-center">Lista de algumas linguagens</h1>

    <li class="media my-4">
    <img src="Ruby.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">Ruby</h5>
        Ruby é uma linguagem de programação interpretada multiparadigma, de tipagem dinâmica e forte,
        com gerenciamento de memória automático,
        originalmente planejada e desenvolvida no Japão em 1995, por Yukihiro "Matz" Matsumoto.
       </div>
    </li>



    <li class="media my-4">
    <img src="Delphi.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">Delphi</h5>
      Embarcadero Delphi, anteriormente conhecido como CodeGear Delphi,
      Inprise Delphi e Borland Delphi, também conhecido como Delphi, é um compilador e uma IDE,
      produzido anteriormente pela Borland Software Corporation e atualmente pela Embarcadero.
    </div>
  </li>



  <li class="media my-4">
    <img src="Assembly.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">Assembly</h5>
      Assembly ou linguagem de montagem é uma notação legível por humanos para o código de máquina que uma arquitetura de computador específica usa,
      utilizada para programar códigos entendidos por dispositivos computacionais, como microprocessadores e microcontroladores.
    </div>
  </li>



 <li class="media my-4">
    <img src="matlab.jpg" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">MATLAB</h5>
    MATLAB (MATrix LABoratory) trata-se de um software interativo de alta performance voltado para o cálculo numérico.
      O MATLAB integra análise numérica, cálculo com matrizes, processamento de sinais e construção de gráficos
    </div>
  </li>

      <li class="media my-4">
    <img src="perl.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">Perl</h5>
    Perl é uma família de duas linguagens de programação multiplataforma, Perl 5 e Perl 6.
      Originalmente, Perl foi desenvolvida por Larry Wall em 1987;
      desde então, a linguagem passou por muitas atualizações e revisões até chegar à versão Perl 5 em 1994.
    </div>
  </li>



      <li class="media my-4">
    <img src="php.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">PHP</h5>
    PHP (um acrônimo recursivo para "PHP: Hypertext Preprocessor", originalmente Personal Home Page) é uma linguagem interpretada livre,
      usada originalmente apenas para o desenvolvimento de aplicações presentes e atuantes no lado do servidor, capazes de gerar conteúdo dinâmico na World Wide Web.
    </div>
  </li>


      <li class="media my-4">
    <img src="java.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">Java</h5>
    Java é uma linguagem de programação orientada a objetos desenvolvida na década de 90 por uma equipe de programadores
      chefiada por James Gosling, na empresa Sun Microsystems.
    </div>
  </li>

      <li class="media my-4">
    <img src="js.jpg" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">JavaScript</h5>
   JavaScript , frequentemente abreviado como JS, é uma linguagem de programação interpretada de alto nível,
      caracterizada também,como dinâmica, fracamente tipada, prototype-based e multi-paradigma.[2] Juntamente com HTML e CSS,
    </div>
  </li>

       <li class="media my-4">
    <img src="python.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">Python</h5>
    Python é uma linguagem de programação de alto nível,[4] interpretada, de script,
      imperativa, orientada a objetos, funcional, de tipagem dinâmica e forte. Foi lançada por Guido van Rossum em 1991.
    </div>
  </li>

      <li class="media my-4">
    <img src="cmm.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">C ++</h5>
     C++ (em português: lê-se "cê mais mais", em inglês lê-se see plus plus) é uma linguagem de programação compilada multi-paradigma
      (seu suporte inclui linguagem imperativa, orientada a objetos e genérica) e de uso geral.
    </div>
  </li>

      <li class="media my-4">
    <img src="Csharp.png" class="mr-3" alt="...">
    <div class="media-body">
      <h5 class="mt-0 mb-1">C #</h5>
    C# (lê-se "cê xarpe") é uma linguagem de programação, multiparadigma, de tipagem forte,
      desenvolvida pela Microsoft como parte da plataforma .NET. A sua sintaxe orientada a objetos foi baseada no C++
    </div>
  </li>
</ul>



    <!-- Cards -->
<div class="row mb-5">
  <div class="col-sm-4">
    <div class="card">
      <img class="card-img-top" src="orientada.jpg">
      <div class="card-body">
        <h4 class="card-title">Orientadas a Objeto</h4>
        <h6 class="card-subtitle mb-2 text-muted">Paradigmas</h6>
        <p class="card-text">Os objetos são operados com o conceito de 'this' (isso) ou 'self' (si), de forma que seus métodos (muitas vezes) modifiquem os dados da própria instância.</p>
        <a href="#" class="card-link">Saiba Mais</a>
      </div>
    </div>
  </div>


  <div class="col-sm-4">
    <div class="card">
      <img class="card-img-top" src="funcionalidade.jpg">
      <div class="card-body">
        <h4 class="card-title">Funcional</h4>
        <h6 class="card-subtitle mb-2 text-muted">Paradigmas</h6>
        <p class="card-text">Em ciência da computação, programação funcional é um paradigma de programação que trata a computação como uma avaliação de funções matemáticas e que evita estados ou dados mutáveis</p>
        <a href="#" class="card-link">Saiba Mais</a>
      </div>
    </div>
  </div>




 <div class="col-sm-4">
    <div class="card">
      <img class="card-img-top" src="logica.jpg">
      <div class="card-body">
        <h4 class="card-title">Lógica</h4>
        <h6 class="card-subtitle mb-2 text-muted">Paradigmas</h6>
        <p class="card-text">Em ciência da computação, programação funcional é um paradigma de programação que trata a computação como uma avaliação de funções matemáticas e que evita estados ou dados mutáveis</p>
        <a href="#" class="card-link">Saiba Mais</a>
      </div>
    </div>
  </div>
</div>





<!-- Table -->
<table class="table text-center">
  <thead>
    <h1 class="text-center">Linguagens mais populares</h1>
    <tr>
      <th scope="col">Posição</th>
      <th scope="col">Linguagem</th>
      <th scope="col">Desenvolvedor</th>
      <th scope="col">Ano de criação</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th scope="row">1</th>
      <td>Java</td>
      <td>James Gosling</td>
      <td>1995</td>
    </tr>
    <tr>
      <th scope="row">2</th>
      <td>C</td>
      <td>Dennis Ritchie</td>
      <td>1972</td>
    </tr>
    <tr>
      <th scope="row">3</th>
      <td>C++</td>
      <td>Bjarme Stroustup</td>
      <td>1979</td>
    </tr>
    <tr>
      <th scope="row">4</th>
      <td>Python</td>
      <td>Guido van Rossum</td>
      <td>1991</td>
    </tr>
    <tr>
      <th scope="row">5</th>
      <td>C#</td>
      <td>Microsoft</td>
      <td>2000</td>
    </tr>
    <tr>
      <th scope="row">6</th>
      <td>JavaScript</td>
      <td>Brendan Eich</td>
      <td>1995</td>
    </tr>
    <tr>
      <th scope="row">7</th>
      <td>Visual Basic .NET</td>
      <td>Microsoft</td>
      <td>2001</td>
    </tr>
    <tr>
      <th scope="row">8</th>
      <td>R</td>
      <td>Ross ihaka e Robert Gentleman</td>
      <td>1993</td>
    </tr>
    <tr>
      <th scope="row">9</th>
      <td>PHP</td>
      <td>Rasmus Lerdorf</td>
      <td>1995</td>
    </tr>
    <tr>
      <th scope="row">10</th>
      <td>MATLAB</td>
      <td>Cleve Moler</td>
      <td>1970</td>
    </tr>
  </tbody>
</table>


  </body>
</html>
